store-0.4.3.1: Fast binary serialization

Safe Haskell | Safe
Language | Haskell2010

Data.Store.Streaming.Internal

Synopsis

- messageMagic :: Word64
- magicLength :: Int
- sizeTagLength :: Int
- headerLength :: Int
- type SizeTag = Int

# Documentation

messageMagic :: Word64 #

Some fixed arbitrary magic number that precedes every `Message`.

magicLength :: Int #

sizeTagLength :: Int #

headerLength :: Int #

type SizeTag = Int #

Type used to store the length of a `Message`.